Community
cancel
Showing results for 
Search instead for 
Did you mean: 
BMäme
Beginner
254 Views

Problem with installing 3rd party plugins

Hi there,

i´ve some trouble with installing a plugin in the EDS Suite. I am using Quartus Prime Lite Edition (v. 18.1).

 

When I try to install the plugin, it fails because it could not find the installed dependency.

Axivion_Issure.PNG

The missing dependency are there and installed. I find these in the Eclipse Installation Details.

EclipseInstallationDetails.PNG

 

My question is, how to install the plugin? Or what is special about NIOS II EDS that i could not install the plugin?

 

Thank you for your help!

Kind regards

Bastian

0 Kudos
7 Replies
Ahmed_H_Intel1
Employee
86 Views

Hi,

This is a third-party tool's plugin which unfortunately we don't have support for. There is no test been done with this plugin to clarify any issue. I recommend you to contact the Eclipse support team for proper support.

I apologize for not being able to help you with a third-party plugin.

Regards,

BMäme
Beginner
86 Views

Hi,

thank you for your answer.

I do not think so. We have installed some other versions of Eclipse and there, the plugin is running.

Unfortunately the customized version of Eclipse, the NIOS2 EDS has anything special changed, that we couldn´t install the plugin. The requirements are installed, but the plugin doesn´t find it.

 

Is the NIOS2 EDS tested by installing plugins?

 

Regards,

 

Ahmed_H_Intel1
Employee
86 Views

Hi,

We didn't test any third party plug-in, unfortunately, there is no reference support for these third-party plug-ins.

Regards,

BMäme
Beginner
86 Views

Hi,

I just wanted to let you know, that I have solved the problem with the 3rd party plugin.

 

I was able to solve the problem by copying, pasting and merging files of the 3rd party plugin and the NIOS2 Eclipse. Unfortunately, an installation via "Install New Software" is still not possible.

 

Regards

Bastian

Ahmed_H_Intel1
Employee
86 Views

Thanks a lot for your reply. Can you share with me the third party plugin you used to solve the issue?

 

BMäme
Beginner
86 Views

I hadn´t uesed a third party plugin to install my required plugin.

As I mentioned before - I solved the problem by copying, pasting and merging files of my required plugin and the NIOS2 Eclipse.

 

Example:

I have to add the .jar files in artifacts.xml. Also I have to paste the .jar files into the dir /plugins and /features.

And so on...

 

Regards

Bastian

Ahmed_H_Intel1
Employee
86 Views

Thanks a lot for the shared info.

Reply